%define gtkbinaryver %(pkg-config gtk+-2.0 --variable=gtk_binary_version)

Summary: Additional themes collection for GNOME
Name: gnome-themes-extras
Version: 2.20
Release: %mkrel 1
License: GPL
Group: Graphical desktop/GNOME
Source0: http://ftp.gnome.org/pub/GNOME/sources/gnome-themes-extras/%{name}-%{version}.tar.bz2
URL: http://librsvg.sourceforge.net/theme.php
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:  libgtk+2.0-devel
BuildRequires:  gtk-engines2
BuildRequires:  perl-XML-Parser
BuildRequires:  icon-naming-utils >= 0.8.1
BuildArch: noarch
# for the svg theme engine
Requires: librsvg
# for the industrial theme engine
Requires: gtk-engines2 >= 2.6

%description
Additional themes collection for GNOME: this package contains the
Darklooks metatheme and the Foxtrot, Gion and Neu icon themes for GNOME2.

%prep
%setup -q
%build

#don't use configure macro, it doesn't work
./configure --prefix=%_prefix --libdir=%_libdir
%make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall

%find_lang gnome-themes-extras

### Remove files not to be installed
rm -rf $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/{*.{a,la},libindustrial.so,libsmooth.so}
rm -rf $RPM_BUILD_ROOT%_datadir/themes/Industrial


for dir in %buildroot%{_datadir}/icons/*; do
 touch $dir/icon-theme.cache
done

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%update_icon_cache Foxtrot
%update_icon_cache Gion
%update_icon_cache Neu
%postun
%clean_icon_cache Foxtrot
%clean_icon_cache Gion
%clean_icon_cache Neu


%files -f gnome-themes-extras.lang
%defattr(-, root, root)
%dir %{_datadir}/icons/*
%{_datadir}/icons/*/???x???
%{_datadir}/icons/*/??x??
%{_datadir}/icons/*/scalable
%_datadir/icons/Foxtrot/index.theme
%_datadir/icons/Gion/index.theme
%_datadir/icons/Neu/index.theme
%{_datadir}/themes/*
%doc AUTHORS MAINTAINERS ChangeLog COPYING README TODO
%ghost %{_datadir}/icons/*/icon-theme.cache



%changelog
* Tue Sep 18 2007 Götz Waschk <waschk@mandriva.org> 2.20-1mdv2008.0
+ Revision: 89467
- new version

* Tue Jul 31 2007 Götz Waschk <waschk@mandriva.org> 2.19.6-1mdv2008.0
+ Revision: 56984
- fix buildrequires
- new version
- fix file list
- fix installation
- update description

* Wed Jul 04 2007 Adam Williamson <awilliamson@mandriva.com> 0.9.0-5mdv2008.0
+ Revision: 47846
- drop bogus automake buildrequire, rebuild for 2008


* Fri Sep 01 2006 Götz Waschk <waschk@mandriva.org> 0.9.0-1mdv2007.0
- rebuild for new clean_icon_cache macro

* Wed Aug 30 2006 Gtz Waschk <waschk@mandriva.org> 0.9.0-3mdv2007.0
- fix uninstallation

* Tue Aug 15 2006 Gtz Waschk <waschk@mandriva.org> 0.9.0-2mdv2007.0
- rebuild

* Wed Dec 07 2005 Gtz Waschk <waschk@mandriva.org> 0.9.0-1mdk
- drop merged patch
- New release 0.9.0
- use mkrel

* Wed Oct 05 2005 Frederic Crozat <fcrozat@mandriva.com> 0.8.1-5mdk
- Remove clearlooks, now in gnome-themes

* Fri Jul 15 2005 Gtz Waschk <waschk@mandriva.org> 0.8.1-4mdk
- add Clearlooks themes, except for the engine

* Fri Jun 24 2005 Gtz Waschk <waschk@mandriva.org> 0.8.1-3mdk
- add the Clearlooks metacity theme (John Keller)

* Tue Apr 26 2005 Gtz Waschk <waschk@mandriva.org> 0.8.1-2mdk
- fix buildrequires

* Mon Apr 25 2005 Gtz Waschk <waschk@mandriva.org> 0.8.1-1mdk
- drop patch 1
- New release 0.8.1

* Tue Dec 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-4mdk
- don't depend on ximian-artwork

* Tue Nov 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-3mdk
- make it a noarch package
- Don't ship smooth engine, it is now in gnome-themes

* Thu Sep 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-2mdk
- fix buildrequires

* Wed Sep 01 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-1mdk
- don't remove the icon symlinks, they aren't broken anymore
- reenable libtoolize
- New release 0.8

* Tue Apr 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7-1mdk
- remove broken symlinks
- fix locale file list
- fix source location
- new version

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com 0.6-3mdk
- Patch1 : don't disable deprecated API in Smooth theme

* Mon Apr 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6-2mdk
- do not hardcode gtk+ version
- rebuild for gtk+-2.4 (because of theme engine path)

* Mon Jan 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- new version

* Fri Dec 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5-2mdk
- fix missing icons in the Wasp theme

* Sat Dec 06 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- fix more broken symlinks
- new version

* Wed Oct 01 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4-1mdk
- clean some more broken symlinks
- remove Wasp patch 
- don't libtoolize
- new version

* Tue Sep 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3-3mdk
- fix Wasp icon theme

